Download it now!
Bug 96858 - clipping errors / screen-dirty from tooltips ...
Summary: clipping errors / screen-dirty from tooltips ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.1.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.1.0.2
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2016-01-02 10:52 UTC by Michael Meeks
Modified: 2016-10-25 19:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example display dirt. (105.14 KB, image/png)
2016-01-02 11:21 UTC, Michael Meeks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2016-01-02 10:52:49 UTC
I thought this was a driver bug; but it appears we are triggering clipped re-rendering of areas underneath tooltip pop-ups (for no apparent reason - we have a back-buffer with that information) - and that we clip to the visible range. Unfortunately - GL clipping was not working.
Comment 1 Michael Meeks 2016-01-02 11:21:44 UTC
Created attachment 121677 [details]
example display dirt.
Comment 2 Michael Meeks 2016-01-02 11:38:54 UTC
pushed fixes to gerrit for master and 5-1-
Comment 3 Commit Notification 2016-01-02 12:41:57 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c798c1baf176f62964e1accc5edfddf48e1102be

tdf#96858 - opengl - fix off-by-1 in glScissor clipping.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-01-04 10:31:35 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b5e574703278c942f280b05b27ef99091ca84da&h=libreoffice-5-1

tdf#96858 - opengl - fix off-by-1 in glScissor clipping.

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.